function [] = buttonCopySoundspeed(~, ~)
%BUTTONCOPYSOUNDSPEED Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Get selected index
index = artoaGui.editOffsets.comboboxSoundvelocityToApplied.Value;

%% Soundspeed 

artoaWorkspace.editOffsets.offsets{:, 'AppliedSoundspeed'} = ...
    artoaWorkspace.editOffsets.offsets{ ...
        :, ...
        [artoaGui.editOffsets.comboboxSoundvelocityToApplied.String{index} 'Soundspeed'] ...
        };
    
%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

